PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PSet< T >::iterator_base Class Reference

`#include <dict.h>`

Inheritance diagram for PSet< T >::iterator_base:
[legend]
Collaboration diagram for PSet< T >::iterator_base:
[legend]

## Public Member Functions
bool | operator== (const iterator_base &it) const
bool | operator!= (const iterator_base &it) const

## Protected Member Functions
| iterator_base ()
| iterator_base (PHashTableInfo *t)
| iterator_base (PHashTableInfo *t, const T &k)
void | Next ()
void | Prev ()
T * | Ptr () const

## Protected Attributes
PHashTableInfo * | table
PHashTableElement * | element

## Constructor & Destructor Documentation

template<class T>

PSet< T >::iterator_base::iterator_base | ( |  | ) |
| inline protected

template<class T>

PSet< T >::iterator_base::iterator_base | ( | PHashTableInfo * | t | ) |
| inline protected

template<class T>

PSet< T >::iterator_base::iterator_base | ( | PHashTableInfo * | t,
|  | const T & | k
| ) |  |
| inline protected

## Member Function Documentation

template<class T>

void PSet< T >::iterator_base::Next | ( |  | ) |
| inline protected

References PSet< T >::iterator_base::element, PAssertNULL, and PSet< T >::iterator_base::table.

Referenced by PSet< T >::iterator::operator++(), and PSet< T >::const_iterator::operator++().

template<class T>

bool PSet< T >::iterator_base::operator!= | ( | const iterator_base & | it | ) | const
| inline

References PSet< T >::iterator_base::element.

template<class T>

bool PSet< T >::iterator_base::operator== | ( | const iterator_base & | it | ) | const
| inline

References PSet< T >::iterator_base::element.

template<class T>

void PSet< T >::iterator_base::Prev | ( |  | ) |
| inline protected

References PSet< T >::iterator_base::element, PAssertNULL, and PSet< T >::iterator_base::table.

Referenced by PSet< T >::iterator::operator--(), and PSet< T >::const_iterator::operator--().

template<class T>

T* PSet< T >::iterator_base::Ptr | ( |  | ) | const
| inline protected

References PSet< T >::iterator_base::element, and PAssertNULL.

Referenced by PSet< T >::iterator::operator*(), PSet< T >::const_iterator::operator*(), PSet< T >::iterator::operator->(), and PSet< T >::const_iterator::operator->().

## Member Data Documentation

template<class T>

PHashTableElement* PSet< T >::iterator_base::element
| protected

Referenced by PSet< T >::iterator_base::Next(), PSet< T >::iterator_base::operator!=(), PSet< T >::iterator_base::operator==(), PSet< T >::iterator_base::Prev(), and PSet< T >::iterator_base::Ptr().

template<class T>

PHashTableInfo* PSet< T >::iterator_base::table
| protected

Referenced by PSet< T >::iterator_base::Next(), and PSet< T >::iterator_base::Prev().

The documentation for this class was generated from the following file:

- dict.h